Bug 495422 - KMS:M7 LW:Radeon Mobility 7500 modesetting fails
KMS:M7 LW:Radeon Mobility 7500 modesetting fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-12 18:42 EDT by Matthew Saltzman
Modified: 2010-12-05 01:56 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:56:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log from nomodeset boot (62.62 KB, text/plain)
2009-04-16 19:16 EDT, Matthew Saltzman
no flags Details
lspci from nomodeset boot (1.60 KB, text/plain)
2009-04-16 19:21 EDT, Matthew Saltzman
no flags Details
dmesg from nomodeset boot (33.01 KB, text/plain)
2009-04-16 19:22 EDT, Matthew Saltzman
no flags Details
messages from nomodeset boot (70.12 KB, text/plain)
2009-04-16 19:23 EDT, Matthew Saltzman
no flags Details
lspci -v from nomodeset boot (1.60 KB, text/plain)
2009-04-16 19:26 EDT, Matthew Saltzman
no flags Details
Xorg.0.log from modeset boot (432.83 KB, text/plain)
2009-04-16 20:06 EDT, Matthew Saltzman
no flags Details
dmesg from modeset boot (34.05 KB, text/plain)
2009-04-16 20:09 EDT, Matthew Saltzman
no flags Details
messages from modeset boot (66.30 KB, text/plain)
2009-04-16 20:10 EDT, Matthew Saltzman
no flags Details
lspci -v from modeset boot (6.37 KB, text/plain)
2009-04-16 20:11 EDT, Matthew Saltzman
no flags Details
Xorg.0.log with drm.debug=1 (69.72 KB, text/plain)
2009-04-18 20:21 EDT, Matthew Saltzman
no flags Details
dmesg with drm.debug=1 (44.65 KB, text/plain)
2009-04-18 20:23 EDT, Matthew Saltzman
no flags Details

  None (edit)
Description Matthew Saltzman 2009-04-12 18:42:37 EDT
Description of problem:

I tried the F11 beta snapshot 1 live CD on my Thinkpad T41 (Radeon
Mobility 7500).  
        
When I boot with default options, the boot screen lights up in the lower
left corner.  The lit portion of the screen spreads until the entire
screen is mostly white.  The machine appears to continue to boot, and
the keyboard remains responsive (at least caps-lock toggles the LED),
but nothing I type appears to have any effect.  In particular,
ctrl-alt-del doesn't reboot, ctrl-alt-bksp doesn't restart X, and
ctrl-alt-Fn doesn't give me a virtual console.
        
Booting with the nomodeset option seems to work just fine (though, of
course, without the graphical boot screen).

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.1-9.fc11.i586
kernel-2.6.29.1-54.fc11.i586

How reproducible:
Always

Steps to Reproduce:
1. Boot F11 beta snapshot 1 Live CD
2.
3.
  
Actual results:
Corrupted X display

Expected results:
X display of boot screen

Additional info:
Comment 1 François Cami 2009-04-13 14:53:45 EDT
Thanks for the bug report.

Could you add /var/log/messages , /var/log/Xorg.0.log and lspci -v output as uncompressed text/plain attachments to this bug, of both the normal (KMS) and nomodeset attempts ?

Full dmesg and Xorg.0.log with drm.debug=1 specified on the kernel command line in grub would also be useful, if you can ssh to the machine once it's booted.

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Warren Togami 2009-04-13 16:25:43 EDT
Mode setting works on my Thinkpad T41 with Radeon 7500, but it has some weird graphics glitches and fonts render all screwed up sometimes.
Comment 3 François Cami 2009-04-13 17:02:09 EDT
Warren,

Could you provide your full Xorg.0.log and dmesg with drm.debug=1 logs ?
That would help a lot.

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Matthew Saltzman 2009-04-16 19:16:39 EDT
Created attachment 339939 [details]
Xorg.0.log from nomodeset boot
Comment 5 Matthew Saltzman 2009-04-16 19:21:37 EDT
Created attachment 339940 [details]
lspci from nomodeset boot

(not that I'd expect this to differ between KMS and non-KMS, would I?)
Comment 6 Matthew Saltzman 2009-04-16 19:22:20 EDT
Created attachment 339941 [details]
dmesg from nomodeset boot
Comment 7 Matthew Saltzman 2009-04-16 19:23:50 EDT
Created attachment 339942 [details]
messages from nomodeset boot
Comment 8 Matthew Saltzman 2009-04-16 19:26:29 EDT
Created attachment 339943 [details]
lspci -v from nomodeset boot
Comment 9 Matthew Saltzman 2009-04-16 20:06:33 EDT
Created attachment 339949 [details]
Xorg.0.log from modeset boot
Comment 10 Matthew Saltzman 2009-04-16 20:09:38 EDT
Created attachment 339950 [details]
dmesg from modeset boot
Comment 11 Matthew Saltzman 2009-04-16 20:10:19 EDT
Created attachment 339951 [details]
messages from modeset boot
Comment 12 Matthew Saltzman 2009-04-16 20:11:02 EDT
Created attachment 339952 [details]
lspci -v from modeset boot
Comment 13 Matthew Saltzman 2009-04-16 20:18:48 EDT
Interesting experience getting the modeset logs.  The machine is running, but the display is unusable.  I attached a separate monitor to see if I could get a view on that.  With the external monitor attached, I got the boot splash screen.  I was able to log in, but after a short time, both X screens was corrupted.  On other VCs, I could use the external display but the laptop screen remained corrupted.

Will try to get the drm.debug logs soon.
Comment 14 Matthew Saltzman 2009-04-18 20:21:41 EDT
Created attachment 340191 [details]
Xorg.0.log with drm.debug=1
Comment 15 Matthew Saltzman 2009-04-18 20:23:49 EDT
Created attachment 340192 [details]
dmesg with drm.debug=1
Comment 16 Bug Zapper 2009-06-09 09:42:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Matěj Cepl 2009-11-05 13:26:15 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 18 Matthew Saltzman 2009-11-27 16:58:05 EST
Updated version to 12, as the problem persists with the F12 Live CD.
Comment 19 Vedran Miletić 2010-05-24 15:03:28 EDT
Improving summary. Matthew, how about F13?

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]
Comment 20 Matthew Saltzman 2010-05-24 18:28:07 EDT
(In reply to comment #19)
> Improving summary. Matthew, how about F13?

Traveling this week.  Will check next week.
Comment 21 Matěj Cepl 2010-05-25 10:10:01 EDT
let's keep that needinfo here
Comment 22 Bug Zapper 2010-11-04 07:21:29 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Bug Zapper 2010-12-05 01:56:50 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.